> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Request

> OpenID Connect Token Endpoint as described in as described in [§3.1.3](https://openid.net/specs/openid-connect-core-1_0.html#TokenEndpoint) and [§3.3.3](https://openid.net/specs/openid-connect-core-1_0.html#HybridTokenEndpoint) of [OpenID Connect Core](https://openid.net/specs/openid-connect-core-1_0.html)



## OpenAPI

````yaml /portal/Amdocs_Media-MarketONE-OIDC-Released-resolved.yaml post /token
openapi: 3.0.1
info:
  title: Connect OIDC APIs
  description: >-
    APIs that are used to provide, validate and assert user identities for
    Single Sign-On (SSO), and API workloads


    The APIs may be accessed through an active web session within the
    application (i.e. any JavaScript running on the server itself) or through
    authorizing a client application through OIDC or OAuth 2.0.


    The APIs can be accessed via a tenant specific domain.
  version: Draft-Go
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/oidc
security: []
tags:
  - name: OIDC
    description: Public user API for OpenId connect specification
paths:
  /token:
    post:
      tags:
        - OIDC
      summary: Token Request
      description: >-
        OpenID Connect Token Endpoint as described in as described in
        [§3.1.3](https://openid.net/specs/openid-connect-core-1_0.html#TokenEndpoint)
        and
        [§3.3.3](https://openid.net/specs/openid-connect-core-1_0.html#HybridTokenEndpoint)
        of [OpenID Connect
        Core](https://openid.net/specs/openid-connect-core-1_0.html)
      operationId: oidcTokenPost
      parameters:
        - name: grant_type
          in: query
          description: OAuth 2.0 response type requested
          required: true
          style: form
          explode: true
          schema:
            type: string
            enum:
              - authorization_code
              - refresh_token
              - password
              - client_credentials
              - urn:ietf:params:oauth:grant-type:device_code
              - urn:amdocs:params:oauth:grant-type:token-exchange
        - name: code
          in: query
          description: Authorization Code
          required: true
          style: form
          explode: true
          schema:
            type: string
        - name: client_id
          in: query
          description: OAuth 2.0 client-ID of the Relying Party
          required: true
          style: form
          explode: true
          schema:
            type: string
        - name: client_secret
          in: query
          description: OAuth 2.0 client secret of the Relying Party
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: redirect_uri
          in: query
          description: >-
            Redirection URI to which the response will be sent. Must match
            configured values for the Relying Party
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: response_mode
          in: query
          description: (Optional) Unused
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: nonce
          in: query
          description: (Optional) Opaque value to be included in the ID Token
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: prompt
          in: query
          description: (Optional) Allowed authentication methods
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: max_age
          in: query
          description: (Optional) Maximum authentication age
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: id_token_hint
          in: query
          description: (Optional) Previously-issued ID Token to be used as a reference
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: login_hint
          in: query
          description: (Optional) Suggested User-ID
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: actor_token
          in: query
          description: >-
            A security token that represents the identity of the acting party. 
            Typically, this will be the party that is authorized to use the
            requested security token and act on behalf of the subject. This is
            required for the urn:amdocs:params:oauth:grant-type:token-exchange
            grant.
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse'
        '400':
          description: Bad Request - If the Token Request is invalid or unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse400'
      security:
        - basic-query-params: []
        - form-urlencoded-params: []
        - basic-authz: []
      externalDocs:
        description: OpenID Connect Core 1.0 incorporating errata set 1
        url: https://openid.net/specs/openid-connect-core-1_0.html
components:
  schemas:
    TokenResponse:
      title: TokenResponse
      type: object
      properties:
        access_token:
          type: string
          description: JWT access token
          example: tokenValue
        expires_in:
          type: integer
          description: Expiry time of the acess token
          example: 3599
        id_token:
          type: string
          description: JWT Id token
          example: tokenValue
        refresh_token:
          type: string
          description: JWT refresh token (unsigned)
          example: tokenValue
        scope:
          type: string
          description: Scopes for that client
          example: openid offline_access profile
        token_type:
          type: string
          description: The type of the token. (E.g. "Bearer")
          example: Bearer
      description: Token Response
    TokenResponse400:
      type: object
      properties:
        error:
          type: string
          description: |-
            Error message:
            * invalid_grant
            * unsupported_grant_type
            * invalid_token
          example: invalid_grant
          enum:
            - invalid_request
            - invalid_client
            - unauthorized_client
            - invalid_grant
            - unsupported_grant_type
            - invalid_scope
            - invalid_token
            - authorization_pending
            - access_denied
            - slow_down
            - expired_token
        error_description:
          type: string
          description: Description of the error
          example: >-
            AuthorizationCodeRepository: no authorization code found for value
            xxxxx
      description: If the Token Request is invalid or unauthorized
  securitySchemes:
    basic-query-params:
      type: http
      description: Authentication using query parameters
      scheme: basic
    form-urlencoded-params:
      type: http
      description: Authentication using url-encoded post form parameters
      scheme: basic
    basic-authz:
      type: http
      description: Authentication Basic {clientid:secret base64encoded}
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.